## tickcount 0.1

=== Makefile ===
PYTHON = python2.4

build:
	$(PYTHON) setup.py build_ext -i

check: build
	$(PYTHON) test_tickcount.py -v

clean:
	$(PYTHON) setup.py clean

dist: build
	$(PYTHON) setup.py sdist --force-manifest

.PHONY: build check clean dist

=== debian/changelog ===
tickcount (0.1-0ubuntu18) yakkety; urgency=medium

  * d/rules: use correct PYTHONPATH for test. Fixes FTBFS with
    no-arch-all build (LP: #1627208).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 23 Sep 2016 15:14:23 -0700

tickcount (0.1-0ubuntu17) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:54:19 +0000

tickcount (0.1-0ubuntu16) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 23:03:15 +0100

tickcount (0.1-0ubuntu15) precise; urgency=low

  * Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 15:10:57 +0000

tickcount (0.1-0ubuntu14) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:15:26 +0000

tickcount (0.1-0ubuntu13) maverick; urgency=low

  * Fix wrap-around computation and test suite for it:
    Don't use int constants for a long data type. It doesn't work as expected
    on 64bit. (lp: #625798)

 -- Michael Bienia <geser@ubuntu.com>  Sat, 28 Aug 2010 14:34:37 +0200

tickcount (0.1-0ubuntu12) maverick; urgency=low

  * debian/patches/arm-test: Fixed testcase where arch=i686 that caused FTBFS

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Mon, 28 Jun 2010 12:11:45 +0200

tickcount (0.1-0ubuntu11) maverick; urgency=low

  [ Angel Abad ]
  * debian/rules: Fix PYTHONPATH for python test (LP: #589142)
  * debian/control:
    - Add misc:Depends and shlibs:Depends
    - Fix typos
    - Remove python:Provides
    - Bump python-support B-D to >= 0.5.3
  * Switch to dpkg-source format 3.0 (quilt)
    - New patch: arm-test based on Chuck Short's fixes
  * debian/copyright: Fix license file location
  * debian/pycompat: Removed
  * Bump Standards-Version to 3.8.4

  [ Stefano Rivera ]
  * debian/control: Remove abandoned Vcs-Bzr entries
  * correct whitespace in arm-test patch

 -- Angel Abad <angelabad@gmail.com>  Thu, 03 Jun 2010 14:09:22 +0200

tickcount (0.1-0ubuntu10) lucid; urgency=low

  * No really fix it for sure this time. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 04 Jan 2010 10:15:14 -0500

tickcount (0.1-0ubuntu9) lucid; urgency=low

  * *Really* fix FTBFS on arm. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 29 Dec 2009 16:12:28 -0500

tickcount (0.1-0ubuntu8) lucid; urgency=low

  * Really fix FTBFS on arm. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 29 Dec 2009 13:18:22 -0500

tickcount (0.1-0ubuntu7) lucid; urgency=low

  * Fix FTBFS on arm. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 28 Dec 2009 21:12:54 -0500

tickcount (0.1-0ubuntu6) lucid; urgency=low

  * test_tickcount.py: Fix testsuite so it runs on ia64. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 15 Dec 2009 09:57:59 -0500

tickcount (0.1-0ubuntu5) lucid; urgency=low

  * test_tickcount.py: Fix testsuite so it doesnt fail when run.
  * debian/rules: Enable testsuite.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 14 Dec 2009 14:05:22 -0500

tickcount (0.1-0ubuntu4) jaunty; urgency=low

  * No-change rebuild for Python 2.6.

 -- William Grant <wgrant@ubuntu.com>  Tue, 10 Mar 2009 19:09:54 +1100

tickcount (0.1-0ubuntu3) hardy; urgency=low

  * debian/copyright:
     - Modify Maintainer value to match the DebianMaintainerField
       specification (LP: #176994).
     - Bump standards version to 3.7.3.
     - Add Homepage, Vcs-Bzr and Vcs-Browser fields.
  * Remove the debian/NEWS file.
  * Fix two typos in debian/copyright.

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Sat, 22 Dec 2007 12:03:22 +0100

tickcount (0.1-0ubuntu2) edgy; urgency=low

  * Rebuild to add support for python2.5.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  8 Sep 2006 18:28:33 +0000

tickcount (0.1-0ubuntu1) edgy; urgency=low

  * Initial release.

 -- Robert Collins <robertc@robertcollins.net>  Mon, 14 Aug 2006 17:59:52 +1000

=== debian/control ===
Source: tickcount
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Robert Collins <robertc@robertcollins.net>
Homepage: https://launchpad.net/tickcount
Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.43), python-all-dev (>= 2.6.6-3~)
Standards-Version: 3.8.4

Package: python-tickcount
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Description: Python module to access the Python interpreter tickcount
 Python C extension module giving access to the internal tickcounter of Python.
 .
 This is useful for certain forms of profiling or performance analysis.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

binary-install/python-tickcount::
	PYTHONPATH=$(cdbs_python_destdir)usr/lib/python$(cdbs_python_current_version)/dist-packages python test_tickcount.py
